#!/bin/bash

if [ $# -lt 2 ]; then
    echo "Usage: $0 infile outstem"
    exit
fi
infile=$1
outstem=$2

r=0 # random seed
i=50 # number of iterations
u=4 # number of CPUs for multiprocessing. 0 to disable
t=5 # number of POS tags

python gibbs_seg_types.py -g $infile -r $r -i $i -u 4 -o $outstem-m1.pkl
python gibbs_seg_types.py -g $infile -r $r -i $i -u 4 -t $t --state $outstem-m1.pkl --init-seg state --init-stem state -o $outstem-m2.pkl 
python gibbs_seg_types.py -g $infile -r $r -i $i -u 4 -t $t -q --state $outstem-m2.pkl --init-seg state --init-stem state --init-tag state -o $outstem-m3.pkl 
python gibbs_seg_types.py -g $infile -r $r -i $i -u 4 -t $t -q -s --state $outstem-m3.pkl --init-seg state --init-stem state --init-tag state -o $outstem-m4.pkl 
python dump_dict.py $outstem-m4.pkl > $outstem-m4.dict
